# document-uri

Returns the URI of a document

document-uri() → xs:anyURI?

There are no arguments
Result | xs:anyURI?

Applies to: XPath 3.0, XSLT 3.0, XQuery 3.0 (if enabled in Saxon: requires Saxon-PE or Saxon-EE)

XPath 3.0 Specification

document-uri($arg as node()?) → xs:anyURI?

Arguments
| $arg | node()? | The node whose document URI is required
Result | xs:anyURI?

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next